AUR Packages that need adopting

  last edited: Wed, 25 Dec 2019 01:42:16 -0800  
Since following my post about the life circumstances since getting my job, I took some time to comb through my current package list to see which packages I need help with maintaining.

Below is the list I've compiled to help out potential adopters or co-maintainers.

Previous versions




Compiz-Reloaded


Needs co-maintainers ASAP. I can deal with the upstream bugs since I'm one of the developers there.

compiz-core
compiz-gtk
compiz-fusion-plugins-main
compiz-fusion-plugins-extra
compiz-fusion-plugins-experimental
compiz-bcop
ccsm
ccsm-gtk3
compizconfig-python
emerald
emerald-gtk3
emerald-themes
fusion-icon
libcompizconfig
compiz-core-git
compiz-gtk-git
compiz-fusion-plugins-main-git
compiz-fusion-plugins-extra-git
compiz-fusion-plugins-experimental-git
compiz-bcop-git
ccsm-git
ccsm-gtk3-git
compizconfig-python-git
emerald-git
emerald-gtk3-git
emerald-themes-git
fusion-icon-git
libcompizconfig-git


Magic Set Editor


I have no idea where to locate the upstream source repo for version 2.0.1 of `magicseteditor`.

The other packages have stable sources at `msetemps` on SourceForge. Their sources should probably be migrated to the new official source site.

magicseteditor
mse-extrafoils-fracture
mse-extrafoils-ghost
mse-extrafoils-insanity
mse-extrafoils-jss
mse-extrafoils-oil
mse-extrafoils-old
mse-extrafoils-parallel
mse-extrafoils-polishedstone
mse-extrafoils-ribbon
mse-extrafoils-ripples
mse-mtg
mse-mtg-m15
mse-mtg-new
mse-mtg-new-clear
mse-mtg-new-doublefaced
mse-mtg-new-flips
mse-ygo


Swisseph


The main libraries are stable since there's been no new releases for them.

pyswisseph
pyswisseph3


The ephmeris files, well... I'm not so sure about. Upstream doesn't version them properly.

swisseph_12
swisseph_18


Fonts


The fonts below have stable upstream sources.

otf-rebecca
ttf-averia-serif
ttf-dasroy
ttf-futhark-adapted
ttf-optimusprinceps


The fonts below for some reason have their upstream sources missing or relocated on their original home page.

ttf-enochian
ttf-lightfoot
ttf-masterforce-solid
ttf-tangiers
ttf-totem


wallpaperd


I loved this program, but the original source code dropped off the face of the Earth. Anyone know where I can find it?

One of the scripts that I packaged broke because of that.

lunifybg-wpd-git
wallpaperd


Pidgin


This one just needs a package() function before being passed off.

pidgin-cmds

This one below I don't use anymore.

fchat-pidgin-git

Text processing


There's only a few here. Only python-textile needs updating.

python-markdown-sections
python-textile


Utilities


These ones have stable upstream sources

apwal
fbterm-git
hpoj
httraqt
nodejs-squiffy
spacefm-plugin-clamav
tmux-tcl-git
qtnotifydaemon
vim-zencoding
zsh-directory-history-git


The below just need minor build fixes.

hypervc-qt4
gpw
ninit
qosmic


GTK+ Themes


These ones have stable upstream sources.

gtk-theme-anewstart-blood
gtk-theme-black-widow


Self-developed upstream


The projects in here advance at the pace I have time to work on them. Most of these are also experimental, save for the `compiz-*` items.

So not many package changes happen here.

compiz-pipeitems
compiz-boxmenu
chronoslnx-git
locky-git
qtarot-git
qarithmancy-git
qbiobeat-git
slickpicker
slickpicker-git


Self-developed, but needs help upstream


Over the years, I've had trouble syncing my local notes using Syncthing and mikidown. This most likely has lead to the decline of using mikidown itself, which then lead to slowing down of development upstream.

mikidown
mikidown-git
python-asciimathml
python-asciimathml-git


Should probably be submitted upstream


These packages consist of patches to the source code for features. They should probably be submitted upstream so the patch doesn't need to be applied anymore.

kupfer-plugin-volumescc
menumaker-compiz



Miscellaneous python modules


Title says it all.

python-pyment-git
python-vcs-move-git
python-wordcloud-git
 aur